This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 119541 - (AACRAID 32BITONLY)aacraid driver doesn't find hdd
(AACRAID 32BITONLY)aacraid driver doesn't find hdd
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Dave Jones
:
: 122196 (view as bug list)
Depends On:
Blocks: FC2Target FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-03-31 04:04 EST by Lorenzo Luconi Trombacchi
Modified: 2015-01-04 17:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:28:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lorenzo Luconi Trombacchi 2004-03-31 04:04:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I've tried to install Fedora Core 2 test 2 on Appro 2128HS dual
Opteron system with Adaptec RAID SCSI controller 2120S with RAID 5
configured.
The installer starts and aacraid kernel module is properly loaded, but
it can't find any attached hdd. 




Version-Release number of selected component (if applicable):
kernel-2.6.3-2.1.253.2.1

How reproducible:
Always

Steps to Reproduce:
1. install FC2 t2 on dual Opteron with aacraid controller
2. 
3.
    

Additional info:
Comment 1 Alan Cox 2004-05-03 11:04:07 EDT
aacraid is definitely broken in 64bit mode at the moment. This seems
to be a base kernel problem.
Comment 2 Alan Cox 2004-05-03 11:04:44 EDT
*** Bug 122196 has been marked as a duplicate of this bug. ***
Comment 3 Alan Cox 2004-05-21 20:58:22 EDT
Initial patches submitted upstream. I have a patched kernel running on
my box. Need to fix some other aacraid issues using patches from Adaptec.
Comment 4 Sergiusz Pawlowicz 2004-06-06 21:33:54 EDT
Hello Alan, could you please show here this patches?
Comment 5 Alan Cox 2004-06-07 06:39:01 EDT
You can get them from 2.6.7-rc kernels from Linus or you can grab the
kernels from Arjan (people.redhat.com/arjanv/...) which should also
have this patch in 
Comment 6 Arkadiusz Miskiewicz 2004-06-11 13:05:34 EDT
aacraid driver doesn't work well in 2.6.7rc (and in previous kernels) 
on amd64 when there is 4GB or more system memory. Running kernel with 
mem=3900MB fixes the problem.

http://groups.google.com/groups?
q=sergiusz+aacraid&hl=pl&lr=&ie=UTF-8&selm=256MU-44b-11%40gated-at.
bofh.it&rnum=1
Comment 7 Lorenzo Luconi Trombacchi 2004-06-11 13:19:45 EDT
I have just installed the last official FC2 kernel 2.6.6-1.427 (based
on 2.6.7-rc3) and my Dual Opteron with 4 Gbyte RAM seems to work.
I didn't find any error message in my log files.
Comment 8 Alan Cox 2004-06-11 13:34:43 EDT
It may depend which board version. Some boards support high memory
access via special additional read/write I/O commands, others will
rely on the iommu. I've done some fixes to make the iommu paths work
(the Aacraid hardware "knows" things about PC architecture which with
an iommu simply aren't true any more).

Comment 9 Arkadiusz Miskiewicz 2004-06-11 16:38:58 EDT
Trying on 2.6.7rc3+latest cset patch applied. Works fine with 
mem=3500M (doesn't work with 3922M, doesn't work when no mem= option)

I've looked into 1.427 kernel and haven't seen any additional aacraid 
patches (just rc3 which probably has all new aacraid Alan's patches)

Red Hat/Adaptec aacraid driver (1.1.2-lk1 Jun 11 2004)
AAC0: kernel 4.1.4 build 7244
AAC0: monitor 4.1.4 build 7244
AAC0: bios 4.1.0 build 7244
AAC0: serial b95eecfafaf001
AAC0: 64 Bit PAE enabled
scsi0 : aacraid
  Vendor: ADAPTEC   Model: Adaptec Mirror    Rev: V1.0
  Type:   Direct-Access                      ANSI SCSI revision: 02
  Vendor: ADAPTEC   Model: Adaptec Stripe    Rev: V1.0
  Type:   Direct-Access                      ANSI SCSI revision: 02
eth0: no IPv6 routers present
SCSI device sda: 48234496 512-byte hdwr sectors (24696 MB)
sda: Write Protect is off
sda: Mode Sense: 03 00 00 00
SCSI device sda: drive cache: write through
 /dev/scsi/host0/bus0/target0/lun0: p1
Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sdb: 46877440 512-byte hdwr sectors (24001 MB)
sdb: Write Protect is off
sdb: Mode Sense: 03 00 00 00
SCSI device sdb: drive cache: write through
 /dev/scsi/host0/bus0/target1/lun0:<3>aacraid: Host adapter reset 
request. SCSI hang ?
aacraid: Host adapter appears dead
scsi: Device offlined - not ready after error recovery: host 0 
channel 0 id 1 lun 0
SCSI error : <0 0 1 0> return code = 0x6000000
end_request: I/O error, dev sdb, sector 0
Buffer I/O error on device sdb, logical block 0
scsi0 (1:0): rejecting I/O to offline device
Buffer I/O error on device sdb, logical block 0
 unable to read partition table
Attached scsi removable disk sdb at scsi0, channel 0, id 1, lun 0

from dmesg
PCI: Using ACPI for IRQ routing
PCI: Cannot allocate resource region 9 of bridge 0000:00:0a.0
PCI: Cannot allocate resource region 9 of bridge 0000:00:0b.0
PCI-DMA: Disabling IOMMU.

[root@amd64 ser]# lspci -v | more
00:06.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8111 PCI (rev 
07) (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 64
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=64
        I/O behind bridge: 0000b000-0000bfff
        Memory behind bridge: fca00000-feafffff
        Prefetchable memory behind bridge: fc600000-fc6fffff
        Capabilities: [c0] #08 [0086]
        Capabilities: [f0] #08 [8000]

00:07.0 ISA bridge: Advanced Micro Devices [AMD] AMD-8111 LPC (rev 
05)
        Subsystem: Micro-Star International Co., Ltd.: Unknown device 
1310
        Flags: bus master, 66Mhz, medium devsel, latency 0

00:07.1 IDE interface: Advanced Micro Devices [AMD] AMD-8111 IDE (rev 
03) (prog-if 8a [Master SecP PriP])
        Subsystem: Advanced Micro Devices [AMD] AMD-8111 IDE
        Flags: bus master, medium devsel, latency 32
        I/O ports at ffa0 [size=16]

00:07.2 SMBus: Advanced Micro Devices [AMD] AMD-8111 SMBus 2.0 (rev 
02)
        Subsystem: Micro-Star International Co., Ltd.: Unknown device 
1310
        Flags: medium devsel, IRQ 19
        I/O ports at cf80 [size=32]

00:07.3 Bridge: Advanced Micro Devices [AMD] AMD-8111 ACPI (rev 05)
        Subsystem: Micro-Star International Co., Ltd.: Unknown device 
1310
        Flags: medium devsel

00:0a.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8131 PCI-X 
Bridge (rev 12) (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 64
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=64
        Memory behind bridge: fc900000-fc9fffff
        Prefetchable memory behind bridge: 
00000000f4500000-00000000fc500000
        Capabilities: [a0]      Capabilities: [b8] #08 [8000]
        Capabilities: [c0] #08 [004a]

00:0a.1 PIC: Advanced Micro Devices [AMD] AMD-8131 PCI-X APIC (rev 
01) (prog-if 10 [IO-APIC])
        Subsystem: Micro-Star International Co., Ltd.: Unknown device 
1310
        Flags: bus master, medium devsel, latency 0
        Memory at febfe000 (64-bit, non-prefetchable) [size=4K]

00:0b.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8131 PCI-X 
Bridge (rev 12) (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 64
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        Memory behind bridge: fc800000-fc8fffff
        Prefetchable memory behind bridge: 
00000000f4400000-00000000f4400000
        Capabilities: [a0]      Capabilities: [b8] #08 [8000]

00:0b.1 PIC: Advanced Micro Devices [AMD] AMD-8131 PCI-X APIC (rev 
01) (prog-if 10 [IO-APIC])
        Subsystem: Micro-Star International Co., Ltd.: Unknown device 
1310
        Flags: bus master, medium devsel, latency 0
        Memory at febff000 (64-bit, non-prefetchable) [size=4K]

00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel
        Capabilities: [80] #08 [2101]
        Capabilities: [a0] #08 [2101]
        Capabilities: [c0] #08 [2101]

00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel

00:19.0 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel
        Capabilities: [80] #08 [2101]
        Capabilities: [a0] #08 [2101]
        Capabilities: [c0] #08 [2101]

00:19.1 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel

00:19.2 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel

00:19.3 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel

01:02.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5704 
Gigabit Ethernet (rev 03)
        Subsystem: Broadcom Corporation NetXtreme BCM5704 Gigabit 
Ethernet
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 29
        Memory at fc8c0000 (64-bit, non-prefetchable) [size=64K]
        Memory at fc8b0000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40]      Capabilities: [48] Power Management 
version 2
        Capabilities: [50] Vital Product Data
        Capabilities: [58] Message Signalled Interrupts: 64bit+ 
Queue=0/3 Enable-

01:02.1 Ethernet controller: Broadcom Corporation NetXtreme BCM5704 
Gigabit Ethernet (rev 03)
        Subsystem: Broadcom Corporation NetXtreme BCM5704 Gigabit 
Ethernet
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 30
        Memory at fc8e0000 (64-bit, non-prefetchable) [size=64K]
        Memory at fc8d0000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40]      Capabilities: [48] Power Management 
version 2
        Capabilities: [50] Vital Product Data
        Capabilities: [58] Message Signalled Interrupts: 64bit+ 
Queue=0/3 Enable-

02:04.0 RAID bus controller: Adaptec AAC-RAID (rev 01)
        Subsystem: Adaptec 2120S (Crusader)
        Flags: bus master, 66Mhz, slow devsel, latency 64, IRQ 25
        Memory at f8000000 (32-bit, prefetchable) [size=64M]
        Expansion ROM at fc9f0000 [disabled] [size=32K]
        Capabilities: [80] Power Management version 2

03:00.0 USB Controller: Advanced Micro Devices [AMD] AMD-8111 USB 
(rev 0b) (prog-if 10 [OHCI])
        Subsystem: Advanced Micro Devices [AMD] AMD-8111 USB
        Flags: bus master, medium devsel, latency 64, IRQ 19
        Memory at feafd000 (32-bit, non-prefetchable) [size=4K]

03:00.1 USB Controller: Advanced Micro Devices [AMD] AMD-8111 USB 
(rev 0b) (prog-if 10 [OHCI])
        Subsystem: Advanced Micro Devices [AMD] AMD-8111 USB
        Flags: bus master, medium devsel, latency 64, IRQ 19
        Memory at feafe000 (32-bit, non-prefetchable) [size=4K]

03:06.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 
27) (prog-if 00 [VGA])
        Subsystem: Micro-Star International Co., Ltd.: Unknown device 
1310
        Flags: bus master, stepping, medium devsel, latency 64, IRQ 
18
        Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
        I/O ports at b800 [size=256]
        Memory at feaff000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at feac0000 [disabled] [size=128K]
        Capabilities: [5c] Power Management version 2
Comment 10 Alan Cox 2004-06-14 17:47:56 EDT
Basic x86-64 aacraid now in the errata. 4Gb bug remains a little
mysterious
Comment 11 Keith Chew 2004-10-19 08:11:34 EDT
Hi Alan

I am using:
- Dual Opteron 250
- 4GB RAM
- FC2 with latest kernel 2.6.8-1.521smp with aacraid 1.1.5
- Adaptec 2130S RAID controller

Using lspci -v, I get
...
01:03.0 RAID bus controller: Adaptec AAC-RAID (Rocket) (rev 03)
        Subsystem: Adaptec: Unknown device 028d
...

I had a look at the aacraid source, and it appears that only the 
2230S is being added, but not the 2130S (single channel).

Is there any chance of including this into aacraid, so that I can 
test it please?

Regards
Keith


Comment 12 Alan Cox 2004-11-15 16:45:01 EST
Should work but will wait until upstream driver changes occur. Adaptec
is also looking at 4G bug, Reassigning as I no longer have aacraid
hardware.
Comment 13 Dave Jones 2005-04-16 00:28:37 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.